# Asterisk Project : Asterisk 12 Application_GotoIfTime

Added by wikibot , edited by wikibot on Aug 29, 2013

# GotoIfTime()

### Synopsis

Conditional Goto based on the current time.

### Description

This application will set the context, extension, and priority in the channel structure based on the evaluation of the given time specification. After this application completes, the pbx engine will continue dialplan execution at the specified location in the dialplan. If the current time is within the given time specification, the channel will continue at labeliftrue. Otherwise the channel will continue at labeliffalse. If the label chosen by the condition is omitted, no jump is performed, and execution passes to the next instruction. If the target jump location is bogus, the same actions would be taken as for `Goto`. Further information on the time specification can be found in examples illustrating how to do time-based context includes in the dialplan.

### Syntax

    GotoIfTime(timesweekdaysmdaysmonths[timezone]labeliftrue:labeliffalse)

##### Arguments

- `condition`
  - `times`
  - `weekdays`
  - `mdays`
  - `months`
  - `timezone`
- `destination`
  - `labeliftrue` - Continue at labeliftrue if the condition is true. Takes the form similar to Goto() of [[context,]extension,]priority.
  - `labeliffalse` - Continue at labeliffalse if the condition is false. Takes the form similar to Goto() of [[context,]extension,]priority.

### See Also

- Asterisk 12 Application_GotoIf
- Asterisk 12 Application_Goto
- Asterisk 12 Function_IFTIME
- Asterisk 12 Function_TESTTIME

### Import Version

This documentation was imported from Asterisk Version Unknown